﻿using System;
using System.Collections.Generic;
using System.Windows;
using Steema.TeeChart.WPF.Styles;
using System.ComponentModel;
using System.Windows.Media.Imaging;

namespace SteemaZoomIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            InitializeChart();
        }
        private void InitializeChart()
        {
            Steema.TeeChart.WPF.Styles.Bar bar1 = new Steema.TeeChart.WPF.Styles.Bar(area.Chart);
            positions.Items.Add("Center");
            positions.Items.Add("Left");
            positions.Items.Add("Right" );
            area.Height = 320;
            area.Width = 520;
            area.Chart.Aspect.View3D = false;
            bar1.FillSampleValues();
            area.Footer.Visible = true;
            area.Footer.CustomPosition = true;
            area.Header.CustomPosition = true;
           
            area.Footer.Text = "TeeChart for .net version 4";
            area.Header.Text = "My Chart";
            area.Panel.MarginBottom = 10;
            area.Panel.MarginTop = 10;
            //Draw before calculate positions header and footer. 
            BitmapSource bmp = area.Chart.Bitmap(area.Width, area.Height);
            positions.SelectedIndex = 0;
           
        }

        void positions_SelectionChanged(object sender, System.Windows.Controls.SelectionChangedEventArgs e)
        {
            switch (positions.SelectedIndex)
            {
                case 0:
                    area.Header.Left = (int)area.Axes.Left.Maximum;
                    area.Header.Left = (int)area.Axes.Bottom.IAxisSize / 2;
                    area.Header.Top = 0;
                    area.Footer.Top = area.Axes.Left.CalcPosValue(0) + 20;//You choose where is drawn.
                    area.Footer.Left = (int)area.Axes.Bottom.IAxisSize / 2;
                    area.Header.TextAlign = TextAlignment.Center;
                    break;
                case 1:
                    area.Header.Left = (int)area.Axes.Left.Maximum;
                    area.Header.Left = (int)area.Axes.Bottom.CalcPosValue(0);
                    area.Header.Top = 0;
                    area.Footer.Top = area.Axes.Left.CalcPosValue(0) + 20;//You choose where is drawn.
                    area.Footer.Left = (int)area.Axes.Bottom.CalcPosValue(0);
                    area.Header.TextAlign = TextAlignment.Left;
                    break;
                case 2:
                    area.Header.Left = (int)area.Axes.Left.Maximum;
                    area.Header.Left = (int)area.Axes.Bottom.IAxisSize;
                    area.Header.Top = 0;
                    area.Footer.Top = area.Axes.Left.CalcPosValue(0) + 20;//You choose where is drawn.
                    area.Footer.Left = (int)area.Axes.Bottom.IAxisSize;
                    area.Header.TextAlign = TextAlignment.Right;
                    break;
            }
        }
    }
           
}
